PMDADENKI(1)

NAME
pmdadenki - metrics related to the systems electrical consumption

SYNOPSIS
$PCP_PMDAS_DIR/denki/pmdadenki [-d domain] [-l logfile]

DESCRIPTION
pmdadenki is a Performance Metrics Domain Agent (PMDA) which extracts electricity related performance metrics.

Currently, metrics from RAPL (on Intel cpus) and battery charge values are available, if supported by the hardware.

-l Location of the log file. By default, a log file named denki.log is written in the current directory of pmcd(1) when pmdadenki is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

INSTALLATION
The denki PMDA is installed and available by default on Linux. If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/denki
# ./Remove

If you want to establish access to the names, help text and values for the denki metrics once more, after removal, do the following as root:

# cd $PCP_PMDAS_DIR/denki
# ./Install

pmdadenki is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdadenki
$PCP_PMDAS_DIR/denki/help
    default help text file for the denki metrics
$PCP_PMDAS_DIR/denki/Install
    installation script for the pmdadenki agent
$PCP_PMDAS_DIR/denki/Remove
    undo installation script for the pmdadenki agent
$PCP_LOG_DIR/pmcd/denki.log
    default log file for error messages and other information from pmdadenki

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), denki/READMEfile pcp.conf(5) and pcp.env(5).